Imports System.Windows.Forms

Public Class FillButton
  Inherits ComdToolBarButton

  Public Sub New(ByVal md As Mediator)
    MyBase.new("Fill", md)
    Me.Style = ToolBarButtonStyle.ToggleButton
    med.registerFillButton(Me)
  End Sub

  Public Overrides Sub Execute()
    med.startFill()
  End Sub

End Class
